Subject: bug#20070: 24.3; have commands such as downcase-region act on a rectangle region

From: Juri Linkov <[email-masked]>
Date: Wed, 25 Mar 2015 23:42:08 +0200

> I'm tempted to say that "r" should do (funcall region-extract-function
> 'positions), and fallback to passing the result as 2 separate positions
> if the result is a singleton list.

Then all unfixed commands will fail on the rectangular region,
but they do the wrong thing now anyway, so this is not a problem.

>                                     Also, if we change "r" then I think
> it might make sense to pass a special value in the second arg to be more
> explicit then just nil (e.g. pass :split-region).

Then the command signature could be changed from

  (downcase-region BEG END)

to e.g.

  (downcase-region REGION REGION-TYPE)

or maybe to signify their dual nature

  (downcase-region REGION-OR-BEG REGION-TYPE-OR-END)

and I see no better way to do this.